Subject: Re: [PATCH] contrib/subtree: Split history with empty trees correctly

From: [email-masked] (David A. Greene)
Date: Wed, 27 Jan 2016 20:56:47 -0600

Marcus Brinkmann <[email-masked]> writes:

> With my patch, "git subtree split -P" produces the same result (for my
> data set) as "git filter-branch --subdirectory-filter", which is much
> faster, because it selects the revisions to rewrite before rewriting.
> As I am not using any of the advanced features of "git subtree", I will
> just use "git filter-branch" instead.

Heh.  :)

I hope to replace all that ugly split code with filter-branch as you
describe but there are some cases where it differs.  It may be that your
changes fix some of that.

Are you still able to do a re-roll on this?

                      -David